BLAKE2s_Info Struct Reference

BLAKE2s hash information. More...

`#include <blake2.h>`

Inheritance diagram for BLAKE2s_Info:

## Public Types

typedef VariableKeyLength< 32, 0, 32, 1, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE > | KeyBase

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 32, 0, 32, 1, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function.

## Static Public Attributes

static const int | MIN_KEYLENGTH = KeyBase::MIN_KEYLENGTH
static const int | MAX_KEYLENGTH = KeyBase::MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH = KeyBase::DEFAULT_KEYLENGTH
static const int | BLOCKSIZE = 64
static const int | DIGESTSIZE = 32
static const int | SALTSIZE = 8
static const int | PERSONALIZATIONSIZE = 8
Static Public Attributes inherited from VariableKeyLength< 32, 0, 32, 1, SimpleKeyingInterface::NOT_RESYNCHRONIZABLE >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant.

## Detailed Description

BLAKE2s hash information.

Since
  Crypto++ 5.6.4

Definition at line 27 of file blake2.h.

## Member Typedef Documentation

## KeyBase

typedef VariableKeyLength<32,0,32,1,SimpleKeyingInterface::NOT_RESYNCHRONIZABLE> BLAKE2s_Info::KeyBase

Definition at line 29 of file blake2.h.

## Member Function Documentation

## StaticAlgorithmName()

const char * BLAKE2s_Info::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 39 of file blake2.h.

## Member Data Documentation

## MIN_KEYLENGTH

const int BLAKE2s_Info::MIN_KEYLENGTH = KeyBase::MIN_KEYLENGTH

static

Definition at line 30 of file blake2.h.

## MAX_KEYLENGTH

const int BLAKE2s_Info::MAX_KEYLENGTH = KeyBase::MAX_KEYLENGTH

static

Definition at line 31 of file blake2.h.

## DEFAULT_KEYLENGTH

const int BLAKE2s_Info::DEFAULT_KEYLENGTH = KeyBase::DEFAULT_KEYLENGTH

static

Definition at line 32 of file blake2.h.

## BLOCKSIZE

const int BLAKE2s_Info::BLOCKSIZE = 64

static

Definition at line 34 of file blake2.h.

## DIGESTSIZE

const int BLAKE2s_Info::DIGESTSIZE = 32

static

Definition at line 35 of file blake2.h.

## SALTSIZE

const int BLAKE2s_Info::SALTSIZE = 8

static

Definition at line 36 of file blake2.h.

## PERSONALIZATIONSIZE

const int BLAKE2s_Info::PERSONALIZATIONSIZE = 8

static

Definition at line 37 of file blake2.h.

The documentation for this struct was generated from the following file:

- blake2.h